<?php

///////////////////////////////////////
//                                   //
//        Updated: 07-02-2007        //
//           Graffiti Wall           //
//        FileName: users.php        //
//    Written by midnightfun.co.uk   //
//       www.midnightfun.co.uk       //
//            Version 2.0            //
//     License: See license.html     //
//               2007               //
//                                   //
///////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//             Editing is NOT allowed to any of the code below!            //
//                                                                         //
//   If you edit any of the code below this part the script may not work   //
//              and you will be in violation of the licence!               //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

error_reporting(E_ALL ^ E_NOTICE);

// Database files.

$configfile = '../data/config.php';
$data = '../data/users.php';

if ( !file_exists( $configfile ) ) {
	trigger_error( "ERROR! With config.php, you need to check the file path settings in users.php line 26.", E_USER_ERROR );
die ();
}

if ( !file_exists( $data ) ) {
	trigger_error( "ERROR! With users.php, you need to check the file path settings in users.php line 27.", E_USER_ERROR );
die ();
} elseif ( !is_writable( $data ) ) {
	trigger_error( "ERROR! With users.php, you need to make this file writable, please read the readme.html page about the writing permissions.", E_USER_ERROR );
die ();
}

// Include some things.

include( "$configfile" );

// Get info from the JavaScript.

if ( isset( $_GET['referrer'] ) ) {
	$referrer = "". $_GET['referrer'] ."";
} else {
	$referrer = "";
}

if ( isset( $_GET['res'] ) ) {
	$res = "". $_GET['res'] ."";
} else {
	$res = "";
}

// Get ip address.

if ( getenv( 'HTTP_CLIENT_IP' ) ) {
	$ip = getenv( 'HTTP_CLIENT_IP' );
}
elseif ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {
	$ip = getenv( 'HTTP_X_FORWARDED_FOR' );
}
elseif ( getenv( 'HTTP_X_FORWARDED' ) ) {
	$ip = getenv( 'HTTP_X_FORWARDED' );
}
elseif ( getenv( 'HTTP_FORWARDED_FOR' ) ) {
	$ip = getenv( 'HTTP_FORWARDED_FOR' );
}
elseif ( getenv( 'HTTP_FORWARDED' ) ) {
	$ip = getenv( 'HTTP_FORWARDED' );
}
else {
	$ip = $_SERVER['REMOTE_ADDR'];
}

// Get time and date.

$time = time( );

// Get the browser.

$agent = $_SERVER['HTTP_USER_AGENT'];

// Play with the data a little.

if ( $ip == "" ) {

	$hst = "";
	$login_host = "0";

} else {

    $hst = @gethostbyaddr( $ip );

    $ispstr = explode( ".", $hst );

    $numele = count( $ispstr );

    $login_host = "0";

    if ( $hst == $ip ) {

        $login_host = "";

    } elseif ( $numele > 2 ) {

        $login_host = "" . $ispstr[$numele-3] . "." . $ispstr[$numele-2] . "." . $ispstr[$numele-1];

    }

}

$log_max = ceil( $max_stats_results * $page_stats_amount );

$comfile = file( $data );

$first_line = array_shift( $comfile );

$fp = fopen( $data, "w" );

fwrite($fp, $first_line);

$num_to_write = ( $log_max > sizeof( $comfile ) ) ? sizeof( $comfile ) +1 : $log_max; 

fwrite ( $fp, $agent."|".$ip."|".$referrer."|".$res."|".$login_host."|".$time."|\n") ;
    for ( $i = 0; $i < $num_to_write-1; $i++ ) { 
      fwrite ( $fp, $comfile[$i] ); 
} 

fclose( $fp );

?> 